
//This is a test shader to figure out which versions
//are valid on your hardware.


// --------------------------------------------------------------------------------------------------
// PARAMETERS:
// --------------------------------------------------------------------------------------------------

//transforms
float4x4 tWVP: WORLDVIEWPROJECTION;

struct vs2ps
{
    float4 Pos : POSITION;
    float4 TexCd : TEXCOORD0;
};

// --------------------------------------------------------------------------------------------------
// VERTEXSHADERS
// --------------------------------------------------------------------------------------------------

vs2ps VS(
    float4 Pos : POSITION,
    float4 TexCd : TEXCOORD0)
{
    vs2ps Out = (vs2ps)0;

    Out.Pos = mul(Pos, tWVP);

    Out.TexCd = TexCd;

    return Out;
}

// --------------------------------------------------------------------------------------------------
// PIXELSHADERS:
// --------------------------------------------------------------------------------------------------

float4 PS(vs2ps In): COLOR
{
    return 1;
}

// --------------------------------------------------------------------------------------------------
// TECHNIQUES:
// --------------------------------------------------------------------------------------------------

technique TFixedFunction
{
    pass P0
    {
        VertexShader = NULL;
        PixelShader  = NULL;
    }
}

technique TV_1_0
{
    pass P0
    {
        VertexShader  = compile vs_1_0 VS();
    }
}

technique TV_1_1
{
    pass P0
    {
        VertexShader  = compile vs_1_1 VS();
    }
}

technique TV_2_0
{
    pass P0
    {
        VertexShader  = compile vs_2_0 VS();
    }
}

technique TV_2_a
{
    pass P0
    {
        VertexShader  = compile vs_2_a VS();
    }
}

technique TV_3_0
{
    pass P0
    {
        VertexShader  = compile vs_3_0 VS();
    }
}

technique TP_1_0
{
    pass P0
    {
        PixelShader  = compile ps_1_0 PS();
    }
}

technique TP_1_1
{
    pass P0
    {
        PixelShader  = compile ps_1_1 PS();
    }
}

technique TP_1_2
{
    pass P0
    {
        PixelShader  = compile ps_1_2 PS();
    }
}

technique TP_1_3
{
    pass P0
    {
        PixelShader  = compile ps_1_3 PS();
    }
}

technique TP_1_4
{
    pass P0
    {
        PixelShader  = compile ps_1_4 PS();
    }
}

technique TP_2_0
{
    pass P0
    {
        PixelShader  = compile ps_2_0 PS();
    }
}

technique TP_2_a
{
    pass P0
    {
        PixelShader  = compile ps_2_a PS();
    }
}

technique TP_2_b
{
    pass P0
    {
        PixelShader  = compile ps_2_b PS();
    }
}

technique TP_3_0
{
    pass P0
    {
        PixelShader  = compile ps_3_0 PS();
    }
}


